<template>
  <div>
    <div class="form-group">
      <drag>
        <input type="text" class="form-control drag-item" id="textbox" placeholder="Text Box" readonly />
      </drag>
    </div>
    <div class="form-group">
      <drag>
        <textarea class="form-control drag-item" id="textarea" rows="3" placeholder="Text Area" readonly></textarea>
      </drag>
    </div>
    <div class="form-group">
      <drag>
        <div class="form-control drag-item select-item" id="dropdown">
          <div>Dropdown</div>
          <i class="fas fa-sort-down"></i>
        </div>
      </drag>
    </div>
    <drag>
      <div class="form-group form-check">
        <input class="form-check-input drag-item" type="radio" name="multipleChoice" id="multipleChoice" value="" disabled>
        <label class="form-check-label drag-item" for="multipleChoice">Multiple Choice</label>
      </div>
    </drag>
    <drag>
      <div class="form-group form-check">
        <input class="form-check-input drag-item" type="checkbox" name="checkbox" id="checkbox" value="" disabled>
        <label class="form-check-label drag-item" for="checkbox">Checkbox</label>
      </div>
    </drag>
    <drag>
      <div class="form-group">
        <button type="button" class="btn btn-primary drag-item">Button</button>
      </div>
    </drag>
  </div>
</template>

<script>
import { Drag, Drop } from 'vue-drag-drop';

export default {
  components: { Drag, Drop },
  name: 'form-fields',
  data() {
    return {
    };
  },
  methods: {
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  .drag-item {
    cursor: crosshair;
  }
  .select-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
</style>
